#include <Servo.h>

Servo myservo;
int servopos = 90;
static int pulsePin = 14;
static int fadePin1 = 5;
static int fadePin2 = 6;
static int fadePin3 = 9;                

boolean ledoff = true;           // "false" when LED is on
boolean fadeout = false;          // "true" when LED is fading
boolean fallingdir = false;      // "true" when servo is moving from 60 - 120
int brightness = 0;


volatile int Signal;                        // holds raw data Analog0, updated every 2mS
volatile boolean Pulse = false;             // "true" when User's live heartbeat is detected, seeded
volatile int thresh = 900;                  // 525 used to find instant moment of heartbeat, seeded

//tweaking codes
int fadeRate = 1;    // used to fade LED on with PMW on fadePin
int servomax = 120;  // max servo position
int servomin = 60;   // min servo position

void setup(){
  myservo.attach(11);
  pinMode(fadePin1,OUTPUT);
  pinMode(fadePin2,OUTPUT);
  pinMode(fadePin3,OUTPUT);    
  Serial.begin(115200);        // we agree to talk fast
}
  
void loop(){  
  Signal = analogRead(pulsePin);  //read the Pulse Sensor
  Serial.print(Signal);
  Serial.print("  < sig    bright >");
  Serial.println(brightness);
  if (Signal > thresh && Pulse == false){
    Pulse = true;
    //ledoff = false;
    //fadeout = true;
  }
  
  if(Pulse == true){
    // Initialize brightness
    if (brightness == 0)
    {
      brightness = 100;
    }

    //when max is reach
    if (servopos >= servomax){
      fallingdir = true;
    }
    //when min
    if (servopos < servomin){
      fallingdir = false;
      Pulse = false;
     // ledoff = true;
     // fadeout = false
    }
    
    if (fallingdir == true){
      servopos --;
      myservo.write(servopos);
        delay(3);
    }  
    else{
      servopos ++;
      myservo.write(servopos);
        delay(3);
    }
    
    brightness = brightness - fadeRate;
    brightness = constrain(brightness,0,100);
    //        servopos++;
    //        myservo.write(servopos);
    //        delay(30);
    analogWrite(fadePin1, brightness);
    analogWrite(fadePin2, brightness);
    analogWrite(fadePin3, brightness);
    }
}




